function getNames(model)
%generate names of states/params/vars/rxns in model

stateNames = SBstates(model);
paramNames = SBparameters(model);
variableNames = SBvariables(model);
reactionNames = SBreactions(model);

assignin('caller','stateNames',stateNames);
assignin('caller','paramNames',paramNames);
assignin('caller','variableNames',variableNames);
assignin('caller','reactionNames',reactionNames);